Language

Package: laminar @ 1.1

Synopsis

Lightweight continuous integration service

Description

Laminar is a lightweight and modular continuous integration service. It doesn't have a configuration web UI instead uses version-controllable configuration files and scripts.

Laminar encourages the use of existing tools such as bash and cron instead of reinventing them.

Home page
https://laminar.ohwg.net/
Location
gnu/packages/ci.scm (line: 194, column: 2)
License

Derivations

SystemTargetDerivationBuild status
x86_64-linux/gnu/store/kgk75m9y5czv96cs42ppy3440vm5qpz9-laminar-1.1.drv
x86_64-linuxx86_64-w64-mingw32/gnu/store/lzh2xvl51xa24vmnarvzsjwf1v5kzwl8-laminar-1.1.drv
x86_64-linuxriscv64-linux-gnu/gnu/store/zbynxw3cpqrl2a60qspdsynyfvhj862z-laminar-1.1.drv
x86_64-linuxpowerpc-linux-gnu/gnu/store/ihg51rv6sd9y4jh97aw3vpv2fgyrj6sm-laminar-1.1.drv
x86_64-linuxpowerpc64le-linux-gnu/gnu/store/g1bqhkrwaqw8bhi8xd91s5zxn0s43as3-laminar-1.1.drv
x86_64-linuxmips64el-linux-gnu/gnu/store/zdlnlsjnia27gvnz7jra45i7f3q8k577-laminar-1.1.drv
x86_64-linuxi686-w64-mingw32/gnu/store/3r6xy22dnwkr1z46w6fvn3adx7m4q9na-laminar-1.1.drv
x86_64-linuxi586-pc-gnu/gnu/store/8axvayhn897xr8qp8yi5awhjhga2n19v-laminar-1.1.drv
x86_64-linuxarm-linux-gnueabihf/gnu/store/xk3dzg4f7dlkxirhiw4w54vxxxsw0p2w-laminar-1.1.drv
x86_64-linuxaarch64-linux-gnu/gnu/store/3mghx2cas3vfvc2r2baig59hx1pl1y09-laminar-1.1.drv
riscv64-linux/gnu/store/i5rv816icaqyvp91i451hp9587ab19p9-laminar-1.1.drv
    powerpc64le-linux/gnu/store/3gnvgscx4j0ci7ky3jz45a54d7r4bm26-laminar-1.1.drv
    mips64el-linux/gnu/store/ph0x1fsgzqb1bx7c4z23505n8ilq8xza-laminar-1.1.drv
      i686-linux/gnu/store/ygjw7shfw2bh8mmsz4c39mm1c9ci2ab0-laminar-1.1.drv
      i586-gnu/gnu/store/h688p7nq5s8ipb40xcjcwg3fpmd3y802-laminar-1.1.drv
      armhf-linux/gnu/store/21d9l59ywhan60agki7mlqx9ybqqjkkv-laminar-1.1.drv
      aarch64-linux/gnu/store/xp6s1ac2s83gavs4kca1xyrk1wnbbas4-laminar-1.1.drv

      Lint warnings

      LinterMessageLocation
      source-unstable-tarball

      Check for autogenerated tarballs

      the source URI should not be an autogenerated tarball
      formatting

      Look for formatting issues in the source

      line 221 is way too long (97 characters)
      formatting

      Look for formatting issues in the source

      line 223 is way too long (137 characters)
      input-labels

      Identify input labels that do not match package names

      label 'uglifyjs' does not match package name 'node-uglify-js'
      derivation

      Report failure to compile a package to a derivation

      failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7f8ed7409c60> input: ("_" "static")>
      derivation

      Report failure to compile a package to a derivation

      failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7fa7aa068c60> input: ("_" "static")>
      derivation

      Report failure to compile a package to a derivation

      failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7f5755cb9c60> input: ("_" "static")>
      derivation

      Report failure to compile a package to a derivation

      failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7f119da52c60> input: ("_" "static")>